Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.clearcase
Class CCCheckout

    java.lang.Object
      |
      +--org.apache.tools.ant.Task
            |
            +--org.apache.tools.ant.taskdefs.optional.clearcase.ClearCase
                  |
                  +--org.apache.tools.ant.taskdefs.optional.clearcase.CCCheckout

public class CCCheckout
extends ClearCase

Task to perform Checkout command to ClearCase.

The following attributes are interpretted:

Attribute | Values | Required
--- | --- | ---
viewpath | Path to the ClearCase view file or directory that the command will operate on | No
reserved | Specifies whether to check out the file as reserved or not | Yes
out | Creates a writable file under a different filename | No
nodata | Checks out the file but does not create an editable file containing its data | No
branch | Specify a branch to check out the file to | No
version | Allows checkout of a version other than main latest | No
nowarn | Suppress warning messages | No
comment | Specify a comment. Only one of comment or cfile may be used. | No
commentfile | Specify a file containing a comment. Only one of comment or cfile may be used. | No

Author:
  Curtis White

Field Summary
`static java.lang.String` | `FLAG_BRANCH` -branch flag -- checks out the file on a specified branch
`static java.lang.String` | `FLAG_COMMENT` -c flag -- comment to attach to the file
`static java.lang.String` | `FLAG_COMMENTFILE` -cfile flag -- file containing a comment to attach to the file
`static java.lang.String` | `FLAG_NOCOMMENT` -nc flag -- no comment is specified
`static java.lang.String` | `FLAG_NODATA` -ndata flag -- checks out the file but does not create an editable file containing its data
`static java.lang.String` | `FLAG_NOWARN` -nwarn flag -- suppresses warning messages
`static java.lang.String` | `FLAG_OUT` -out flag -- create a writable file under a different filename
`static java.lang.String` | `FLAG_RESERVED` -reserved flag -- check out the file as reserved
`static java.lang.String` | `FLAG_UNRESERVED` -reserved flag -- check out the file as unreserved
`static java.lang.String` | `FLAG_VERSION` -version flag -- allows checkout of a version that is not main latest

Fields inherited from class org.apache.tools.ant.taskdefs.optional.clearcase.ClearCase
`COMMAND_CHECKIN, COMMAND_CHECKOUT, COMMAND_UNCHECKOUT, COMMAND_UPDATE`

Fields inherited from class org.apache.tools.ant.Task
`description, location, project, target, taskName, taskType, wrapper`

Constructor Summary
`CCCheckout()`

Method Summary
`void` | `execute()` Executes the task.
`java.lang.String` | `getBranch()` Get branch name
`java.lang.String` | `getComment()` Get comment string
`java.lang.String` | `getCommentFile()` Get comment file
`boolean` | `getNoData()` Get nodata flag status
`boolean` | `getNoWarn()` Get nowarn flag status
`java.lang.String` | `getOut()` Get out file
`boolean` | `getReserved()` Get reserved flag status
`boolean` | `getVersion()` Get version flag status
`void` | `setBranch(java.lang.String branch)` Set branch name
`void` | `setComment(java.lang.String comment)` Set comment string
`void` | `setCommentFile(java.lang.String cfile)` Set comment file
`void` | `setNoData(boolean ndata)` Set the nodata flag
`void` | `setNoWarn(boolean nwarn)` Set the nowarn flag
`void` | `setOut(java.lang.String outf)` Set out file
`void` | `setReserved(boolean reserved)` Set reserved flag status
`void` | `setVersion(boolean version)` Set the version flag

Methods inherited from class org.apache.tools.ant.taskdefs.optional.clearcase.ClearCase
`getClearToolCommand, getViewPath, run, setClearToolDir, setViewPath`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getProject, getRuntimeConfigurableWrapper, getTaskName, init, log, log, maybeConfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FLAG_RESERVED

    public static final java.lang.String FLAG_RESERVED

  -reserved flag -- check out the file as reserved

### FLAG_UNRESERVED

    public static final java.lang.String FLAG_UNRESERVED

  -reserved flag -- check out the file as unreserved

### FLAG_OUT

    public static final java.lang.String FLAG_OUT

  -out flag -- create a writable file under a different filename

### FLAG_NODATA

    public static final java.lang.String FLAG_NODATA

  -ndata flag -- checks out the file but does not create an editable file containing its data

### FLAG_BRANCH

    public static final java.lang.String FLAG_BRANCH

  -branch flag -- checks out the file on a specified branch

### FLAG_VERSION

    public static final java.lang.String FLAG_VERSION

  -version flag -- allows checkout of a version that is not main latest

### FLAG_NOWARN

    public static final java.lang.String FLAG_NOWARN

  -nwarn flag -- suppresses warning messages

### FLAG_COMMENT

    public static final java.lang.String FLAG_COMMENT

  -c flag -- comment to attach to the file

### FLAG_COMMENTFILE

    public static final java.lang.String FLAG_COMMENTFILE

  -cfile flag -- file containing a comment to attach to the file

### FLAG_NOCOMMENT

    public static final java.lang.String FLAG_NOCOMMENT

  -nc flag -- no comment is specified

Constructor Detail

### CCCheckout

    public CCCheckout()

Method Detail

### execute

    public void execute()
                 throws BuildException

  Executes the task.

  Builds a command line to execute cleartool and then calls Exec's run method to execute the command line.

  Overrides:
    `execute` in class `Task`
  Following copied from class: `org.apache.tools.ant.Task`
  Throws:
    `BuildException` - if someting goes wrong with the build

### setReserved

    public void setReserved(boolean reserved)

  Set reserved flag status
  Parameters:
    `reserved` - the status to set the flag to

### getReserved

    public boolean getReserved()

  Get reserved flag status
  Returns:
    boolean containing status of reserved flag

### setOut

    public void setOut(java.lang.String outf)

  Set out file
  Parameters:
    `outf` - the path to the out file

### getOut

    public java.lang.String getOut()

  Get out file
  Returns:
    String containing the path to the out file

### setNoData

    public void setNoData(boolean ndata)

  Set the nodata flag
  Parameters:
    `ndata` - the status to set the flag to

### getNoData

    public boolean getNoData()

  Get nodata flag status
  Returns:
    boolean containing status of ndata flag

### setBranch

    public void setBranch(java.lang.String branch)

  Set branch name
  Parameters:
    `branch` - the name of the branch

### getBranch

    public java.lang.String getBranch()

  Get branch name
  Returns:
    String containing the name of the branch

### setVersion

    public void setVersion(boolean version)

  Set the version flag
  Parameters:
    `version` - the status to set the flag to

### getVersion

    public boolean getVersion()

  Get version flag status
  Returns:
    boolean containing status of version flag

### setNoWarn

    public void setNoWarn(boolean nwarn)

  Set the nowarn flag
  Parameters:
    `nwarn` - the status to set the flag to

### getNoWarn

    public boolean getNoWarn()

  Get nowarn flag status
  Returns:
    boolean containing status of nwarn flag

### setComment

    public void setComment(java.lang.String comment)

  Set comment string
  Parameters:
    `comment` - the comment string

### getComment

    public java.lang.String getComment()

  Get comment string
  Returns:
    String containing the comment

### setCommentFile

    public void setCommentFile(java.lang.String cfile)

  Set comment file
  Parameters:
    `cfile` - the path to the comment file

### getCommentFile

    public java.lang.String getCommentFile()

  Get comment file
  Returns:
    String containing the path to the comment file

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.